WinCrypt.CERT_INFO (JNA API)

com.sun.jna.platform.win32

## Class WinCrypt.CERT_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CERT_INFO

- Direct Known Subclasses:
    WinCrypt.CERT_INFO.ByReference
  Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"dwVersion","SerialNumber","SignatureAlgorithm","Issuer","NotBefore","NotAfter","Subject","SubjectPublicKeyInfo","IssuerUniqueId","SubjectUniqueId","cExtension","rgExtension"})
      public static class WinCrypt.CERT_INFO
      extends Structure

  The CERT_INFO structure contains the information of a certificate.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CERT_INFO.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cExtension`
    `int` | `dwVersion`
    `WinCrypt.DATA_BLOB` | `Issuer`
    `WinCrypt.CRYPT_BIT_BLOB` | `IssuerUniqueId`
    `WinBase.FILETIME` | `NotAfter`
    `WinBase.FILETIME` | `NotBefore`
    `Pointer` | `rgExtension`
    `WinCrypt.DATA_BLOB` | `SerialNumber`
    `WinCrypt.CRYPT_ALGORITHM_IDENTIFIER` | `SignatureAlgorithm`
    `WinCrypt.DATA_BLOB` | `Subject`
    `WinCrypt.CERT_PUBLIC_KEY_INFO` | `SubjectPublicKeyInfo`
    `WinCrypt.CRYPT_BIT_BLOB` | `SubjectUniqueId`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CERT_INFO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinCrypt.CERT_EXTENSION[]` | `getRgExtension()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dwVersion

          public int dwVersion

    - #### SerialNumber

          public WinCrypt.DATA_BLOB SerialNumber

    - #### SignatureAlgorithm

          public WinCrypt.CRYPT_ALGORITHM_IDENTIFIER SignatureAlgorithm

    - #### Issuer

          public WinCrypt.DATA_BLOB Issuer

    - #### NotBefore

          public WinBase.FILETIME NotBefore

    - #### NotAfter

          public WinBase.FILETIME NotAfter

    - #### Subject

          public WinCrypt.DATA_BLOB Subject

    - #### SubjectPublicKeyInfo

          public WinCrypt.CERT_PUBLIC_KEY_INFO SubjectPublicKeyInfo

    - #### IssuerUniqueId

          public WinCrypt.CRYPT_BIT_BLOB IssuerUniqueId

    - #### SubjectUniqueId

          public WinCrypt.CRYPT_BIT_BLOB SubjectUniqueId

    - #### cExtension

          public int cExtension

    - #### rgExtension

          public Pointer rgExtension

  - ### Constructor Detail

    - #### CERT_INFO

          public CERT_INFO()

  - ### Method Detail

    - #### getRgExtension

          public WinCrypt.CERT_EXTENSION[] getRgExtension()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.